Skip to main content
Resource Center/Network Resource/L3 Network Operations
GETL3 Network OperationsSince 0.6SynchronousAuth Required

QueryL3Network

QueryL3Network

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      The L3 network type.

    • zoneUuidStringRequired

      The zone UUID.

    • l2NetworkUuidStringRequired

      The L2 network UUID.

    • stateStringRequired

      The state of the L3 network.

    • dnsDomainStringRequired

      The DNS domain.

    • systemBooleanRequired

      Whether the L3 network can be applied to appliance VM instances.

    • categoryStringRequired

      The network type, which must be used with the system tags. If system is set to true, this parameter can be set to Public or Private.

    • ipVersionIntegerRequired

      The IP version.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • dnsListRequired

      The DNS server.

    • ipRangesListRequired

      See ipRanges.

      • uuidStringRequired

        The resource UUID.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • startIpStringRequired

        开始IP。

      • endIpStringRequired

        结束IP。

      • netmaskStringRequired

        No description provided.

      • prefixLenStringRequired

        The prefix length.

      • gatewayStringRequired

        No description provided.

      • networkCidrStringRequired

        No description provided.

      • ipVersionIntegerRequired

        The IP version.

      • addressModeStringRequired

        The allocation mode of the IPv6 address.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

    • networkServicesListRequired

      See networkServices.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • networkServiceProviderUuidStringRequired

        The network service provider UUID.

      • networkServiceTypeStringRequired

        No description provided.

    • hostRouteListRequired

      See hostRoute.

      • idLongRequired

        资源ID。

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • prefixStringRequired

        No description provided.

      • nexthopStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

GET/zstack/v1/l3-networks

/zstack/v1/l3-networks

Operation ID

QueryL3Network

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/l3-networks' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "name": "Test-L3Network", "l2NetworkUuid": "8bcf5b824378406494d81ffdae56bde3" } ] }

Change History

This API has no change history records yet.

View all change history